# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'consul/client/version'

Gem::Specification.new do |spec|
  spec.name          = "offline_consul-client"
  spec.version       = Consul::Client::VERSION
  spec.authors       = ["Jason Scholl"]
  spec.email         = ["jscholl@goldstar.com"]

  spec.summary       = %q{Consul client with dev mode}
  spec.description   = %q{Consul client with offline mode for dev, and recursive queries, presenting data as a hash}
  spec.homepage      = "https://github.com/goldstar/consul-client"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.9"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.3"
  spec.add_development_dependency "pry", "~> 0.10"
  spec.add_development_dependency "vcr", "~> 2.9"
  spec.add_development_dependency "psych", "~> 2.0"
  spec.add_development_dependency "webmock", "~> 1.9"
end
